# CUpti_ActivityMetric Struct Reference
[CUPTI Activity API]

The activity record for a CUPTI metric. More...

## Data Fields
uint32_t | correlationId
uint8_t | flags
CUpti_MetricID | id
CUpti_ActivityKind | kind
uint8_t | pad [3]
CUpti_MetricValue | value

## Detailed Description

This activity record represents the collection of a CUPTI metric value (CUPTI_ACTIVITY_KIND_METRIC). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect metric data may choose to use this type to store the collected metric data.

## Field Documentation

uint32_t CUpti_ActivityMetric::correlationId

The correlation ID of the metric. Use of this ID is user-defined, but typically this ID value will equal the correlation ID of the kernel for which the metric was gathered.

uint8_t CUpti_ActivityMetric::flags

The properties of this metric.

See also:
  CUpti_ActivityFlag

CUpti_MetricID CUpti_ActivityMetric::id

The metric ID.

CUpti_ActivityKind CUpti_ActivityMetric::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_METRIC.

uint8_t CUpti_ActivityMetric::pad[3]

Undefined. Reserved for internal use.

CUpti_MetricValue CUpti_ActivityMetric::value

The metric value.